Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class DomainClassGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.DomainClassGrailsPlugin

    class DomainClassGrailsPlugin

A plugin that configures the domain classes in the spring context.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`static java.lang.Object` | `PROPERTY_INSTANCE_MAP`
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `loadAfter`
`java.lang.Object` | `onConfigChange`
`java.lang.Object` | `version`

Method Summary
`static java.lang.Object` | `enhanceDomainClasses(GrailsApplication application, ApplicationContext ctx)`
`static void` | `registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)` Registers the constraints property for the given MetaClass and domainClass instance

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### PROPERTY_INSTANCE_MAP

    static final java.lang.Object PROPERTY_INSTANCE_MAP

### dependsOn

    java.lang.Object dependsOn

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### doWithSpring

    java.lang.Object doWithSpring

### loadAfter

    java.lang.Object loadAfter

### onConfigChange

    java.lang.Object onConfigChange

### version

    java.lang.Object version

Method Detail

### enhanceDomainClasses

    static java.lang.Object enhanceDomainClasses(GrailsApplication application, ApplicationContext ctx)

### registerConstraintsProperty

    static void registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)

  Registers the constraints property for the given MetaClass and domainClass instance

Groovy Documentation